CREATE TABLE oik.oik_breaker_resource
(
    type_name character varying COLLATE pg_catalog."default",
	brand_name character varying COLLATE pg_catalog."default",
	abbreviated_name character varying COLLATE pg_catalog."default",
    voltage character varying COLLATE pg_catalog."default",
    "60_100%" integer,
    "30_60%" integer,
    "0_30%" integer
)
WITH (
    OIDS = FALSE
)
TABLESPACE pg_default;

ALTER TABLE oik.oik_breaker_resource
    OWNER to postgres;

GRANT SELECT ON TABLE oik.oik_breaker_resource TO oik_group_super;

GRANT ALL ON TABLE oik.oik_breaker_resource TO postgres;

INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Воздушные', 'Выключатель высокого напряжения' ,'ВНВ', '330-750', 10, 20, 300);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Маломасляные', 'Выключатель серии' ,'ВМТ',  '110-220', 7, 15, 500);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Элегазовые' ,'Выключатель серии' ,'ВГУ', '110-750', 20, 34, 3000);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Элегазовые' ,'Выключатель серии' ,'ВГТ',  '110-220', 20, 34, 3000);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Элегазовые' ,'Выключатель баковый серии' ,'ВГБ', '110-220', 20, 34, 2500);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Элегазовые' ,'Выключатель колонковый' ,'LTB' ,  '110', 20, 50, 5000);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Элегазовые' ,'Выключатель колонковый' ,'HPL' , '220', 20, 50, 2000);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Элегазовые' ,'Выключатель колонковый' ,'HPL' , '500', 20, 65, 2500);
INSERT INTO oik.oik_breaker_resource(
	type_name, brand_name, abbreviated_name, voltage, "60_100%", "30_60%", "0_30%")
	VALUES ('Элегазовые' ,'Высоковольтный выключатель типа' ,'PM' , '110-500', 20, 40, 2000);